Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
tools
Create Tool
curl --request POST \
  --url https://api.pathors.com/v1/projects/{projectId}/tools \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "metadata": {}
}
'

Request

POST https://api.pathors.com/v1/projects/{projectId}/tools

Path Parameters

projectId
string
required
The project ID

Headers

Authorization
string
required
Bearer token using your developer key

Body

type
string
required
Tool type (e.g., restful, mcp, google-calendar-create, smtp, duckduckgo-search, agent)
metadata
object
Type-specific configuration. See GET /v1/projects/{projectId}/tools/types for available types and their schemas.

Response

Returns the created tool with status 201.

Example

curl -X POST https://api.pathors.com/v1/projects/{projectId}/tools \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "restful",
    "metadata": {
      "url": "https://api.example.com/search",
      "method": "GET"
    }
  }'